pangomm 2.35.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
Pango::AttributeTraits Struct Reference

`#include <pangomm/attributes.h>`

## Public Types
typedef Pango::Attribute | CppType
typedef const PangoAttribute* | CType
typedef PangoAttribute* | CTypeNonConst

## Static Public Member Functions
static CType | to_c_type (const CppType& obj)
static CType | to_c_type (CType ptr)
static CppType | to_cpp_type (CType ptr)
static void | release_c_type (CType ptr)

## Member Typedef Documentation

typedef Pango::Attribute Pango::AttributeTraits::CppType

typedef const PangoAttribute* Pango::AttributeTraits::CType

typedef PangoAttribute* Pango::AttributeTraits::CTypeNonConst

## Member Function Documentation

static void Pango::AttributeTraits::release_c_type | ( | CType | ptr | ) |
| inline static

static CType Pango::AttributeTraits::to_c_type | ( | const CppType& | obj | ) |
| inline static

static CType Pango::AttributeTraits::to_c_type | ( | CType | ptr | ) |
| inline static

static CppType Pango::AttributeTraits::to_cpp_type | ( | CType | ptr | ) |
| inline static